# Class JsonNioService.JsonNioServerThread

java.lang.Object
org.openscience.jmol.app.jsonkiosk.JsonNioService.JsonNioServerThread

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  `JsonNioService`

protected class JsonNioService.JsonNioServerThread extends Object implements Runnable

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`JsonNioServerThread()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsonNioServerThread

protected JsonNioServerThread()

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`